For partners, splitting a transaction allows you to distribute a portion of funds from a single customer payment to multiple recipients. This is commonly used to collect service or software fees, apply franchise fees, pay commissions to sales consultants, or charge convenience fees from merchants — all directly at the time of the transaction.
Once you've successfully set up a merchant with a Transaction Processing Account (TRA) and a Funds Management Account (FMA), that merchant can begin processing splittable payments. This guide walks you through how to split a transaction within your network.
Here’s what you need to know:
recipient_account_id is provided, funds are split to the partner’s FMA by default.Before starting the steps in this guide, make sure you:
To initiate a split, you must first process a transaction. Once processed, you can use its transaction ID to perform the split.
If you process the transaction through Hosted Fields or Drop-in UI, ensure that you have the transaction ID available, as it is required to perform the split.
{
"account_name": "Transaction_Processing",
"type": "SALE",
"channel": "CNP",
"amount": "1999",
"currency": "EUR",
"reference": "93459c78-f3f9-427c-84df-ca0584bb55bf",
"country": "DE",
"payment_method": {
"name": "James Mason",
"entry_mode": "ECOM",
"authentication": {
"id": "AUT_d455464a-115c-46b7-9622-6829e0326e23"
},
"card": {
"number": "4263970000005262",
"expiry_month": "05",
"expiry_year": "25",
"cvv": "852",
"cvv_indicator": "PRESENT",
"avs_address": "Flat 123",
"avs_postal_code": "50001"
}
}
}{
"id": "TRN_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"time_created": "2026-05-03T21:23:39.718Z",
"type": "SALE",
"status": "CAPTURED",
"channel": "CP",
"capture_mode": "AUTO",
"authorization_mode": "PARTIAL",
"amount": "11099",
"currency": "USD",
"country": "US",
"merchant_id": "MER_A6A1EC44522F96630ABEA17A",
"merchant_name": "ABC INDUSTRIES",
"account_id": "TRA_86920f927028745yt34d077d88beb29b",
"account_name": "transaction_processing",
"reference": "becf9f3e-4d33-459c-8ed2-0c4affc9555e",
"batch_id": "BAT_234234234",
"payer": {
"id": "PYR_oOAH6BClraQWS3Qy07dh7tZAN3X2nW",
"first_name": "John",
"last_name": "James",
"reference": "string"
},
"payment_method": {
"id": "PMT_31087d9c-e68c-4389-9f13-39378e166ea5",
"fingerprint_presence_indicator": "NEW",
"fingerprint": "string",
"result": "string",
"message": "string",
"entry_mode": "MOTO",
"qr_code": "string",
"authentication": {
"three_ds": {
"cavv_result": "string"
}
},
"digital_wallet": {
"token": "string",
"token_format": "CARD_NUMBER",
"cryptogram": "string",
"provider": "APPLEPAY",
"masked_number_last4": "xxxxxxxxxxxx5262",
"masked_number_first6last4": "426397xxxxxx5262",
"masked_token_first6last4": "426397xxxxxx5262",
"expiry_month": "12",
"expiry_year": "29",
"eci": "string",
"cvv": "852'",
"cvv_indicator": "ILLEGIBLE",
"avs_address": "string",
"avs_postal_code": "string"
},
"apm": {
"provider": {
"name": "string",
"brand_product_name": "string",
"result": "string",
"messsage": "string",
"status": "string",
"action": "string",
"action_reference": "string",
"time_created_reference": "string",
"redirect_url": "string",
"payer_reference": "string",
"payer_name": "string",
"payer_account_reference": "string",
"sponsor_reference": "string",
"acquirer_reference": "string",
"merchant_identifier": "string",
"brand": "string"
},
"redirect_url": "string",
"session_token": "string",
"fund_status": "NOT_EXPECTED",
"wait_notification": "0'",
"optional_redirect": "0'",
"provider_transaction_reference": "string",
"provider_time_created": "string",
"provider_payer_name": "string",
"bank": {
"name": "string",
"identifier_code": "string",
"iban": "string",
"code": "string",
"account_number": "string"
},
"mandate": {
"code": "string"
},
"next_action": "REDIRECT",
"next_action_message": "string",
"category": "E_WALLET",
"seconds_to_expire": "number"
},
"card": {
"masked_number_last4": "xxxxxxxxxxxx5262",
"tag_response": "string",
"authcode": "string",
"brand": "VISA",
"brand_reference": "string",
"brand_time_reference": "string",
"cvv_result": "MATCHED",
"issuer": "string",
"country": "US",
"currency": "USD",
"funding": "DEBIT",
"avs_address_result": "MATCHED",
"avs_postal_code_result": "MATCHED",
"avs_action": "PROMPT",
"provider": {
"result": "string",
"cvv_result": "string",
"avs_result": "string",
"avs_address_result": "string",
"avs_postal_code_result": "string"
},
"masked_network_token_last4": "string",
"network_token_expiry_month": "12",
"network_token_expiry_year": "30"
},
"bank_transfer": {
"name": "string",
"masked_number_last4": "string",
"number_type": "CHECKING"
},
"bnpl": {
"provider": "KLARNA"
}
},
"user_reference": "string",
"currency_conversion": {
"payer_amount": "string",
"payer_currency": "USD",
"conversion_rate": "string",
"margin_rate_percentage": "string",
"commission_percentage": "string",
"exchange_rate_source": "string",
"exchange_source_time": "string"
},
"order": {
"reference": "INV#88547"
},
"installment": {
"program": "mIPP",
"mode": "NO_PROMOTION",
"count": "99",
"grace_period_count": "30"
},
"risk_assessment": [
{
"mode": "ACTIVE",
"result": "ACCEPTED",
"rules": [
{
"reference": "5c52428c-1f73-4fdf-ae53-ff62857f89d8",
"description": "string",
"mode": "ACTIVE",
"result": "ACCEPTED"
}
]
}
],
"action": {
"id": "ACT_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"type": "ADJUST",
"time_created": "2026-05-03T21:23:39.718Z",
"result_code": "SUCCESS",
"app_id": "uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"app_name": "my_lovely_app"
}
}Using the TRN id, you can split the transaction and transfer part of a transaction amount that is executed by a merchant to the partner account. The FMA Account ID indicated in the resource url is the sender. The recipient_account_id should indicate a secondary merchant to receive a portion of the transaction proceeds.
For complete details on API requests and responses, see [POST] Split in the API Explorer.
curl --location --request POST 'https://apis.sandbox.globalpay.com/ucp/merchants/MER_d5f47f41120f4ebb8a97f8b4d92b8fde/transactions/TRN_257Nt4omOC4GtUoPQGDXTN4KTMzTBZ/split' \
--header 'X-GP-Version: 2021-03-22' \
--header 'Authorization: Bearer lye8PVG6nRa9oElUadmqjBKKROiI' \
--header 'Content-Type: application/json' \
--data-raw '{
"transfers": [
{
"recipient_account_id": "FMA_30d90bfb9e094ad0889baa466716d7ad",
"reference": "123456",
"amount": "50",
"description": "SKU#BLK-MED-G123-GUC"
}
]
}'A successful response will confirm:
The status of each split
Amounts routed to each FMA
The transfer identifier
If a recipient_account_id is not indicated in the request, the funds will be split to the partner’s FMA.
{
"id": "TRN_257Nt4omOC4GtUoPQGDXTN4KTMzTBZ",
"time_created": "2022-11-10T06:19:09.536Z",
"status": "CAPTURED",
"country": "US",
"currency": "USD",
"type": "SALE",
"amount": "1000",
"merchant_id": "MER_d5f47f41120f4ebb8a97f8b4d92b8fde",
"account_id": "TRA_acb8c9ade182427eb06ffdf412b7e3e3",
"merchant_name": "Tiffany_Gerhold",
"account_name": "718558106_676616",
"reference": "67396831",
"payment_method": {
"result": "00",
"message": "SUCCESS"
},
"transfers": [
{
"id": "TRF_gEDUmghEsRxlLuFfqPB89hsUYHSk11",
"status": "CAPTURED",
"time_created": "2022-11-10T06:19:09.494Z",
"amount": "50",
"reference": "123456",
"description": "SKU#BLK-MED-G123-GUC"
}
],
"action": {
"id": "ACT_epxaxiQaatP4FpMSQjYled7ryxhBrZ",
"type": "SPLIT",
"time_created": "2022-11-10T06:19:09.536Z",
"result_code": "SUCCESS",
"app_id": "U1lRHKomEn7DN907RCDPxVhyMfiMLcfy",
"app_name": "demo_app"
}
}To get a deeper understanding of money movement, we recommend that you use our provided integration references for both API and SDK integrations. For the full detailed API specification, see the API Explorer.
See the full API specification for creating a sale or refund.
See the full API specification for splitting a transaction amount.
Add server-side or client-side code to your integration.
This solution is available for testing in our free Sandbox environment for registered users of this developer portal. Use our resources below to start testing different scenarios.
Test different transaction outcomes with simulated cards or banks.
View, import, or fork our API collection in Postman.
View successful responses, HTTP status codes, action response data, and errors.
Below are recommended next steps for your partners integration.